;+
; Name: MAKEX.PRO
; Purpose: Make a vector starting and ending at given values, with given step.
; Category:
; Calling sequence: X = MAKEX(XLO,XHI,XST)
; Inputs:  XLO = start value.
;          XHI = end value.
;          XST = step size.
; Outputs: X = generated vector.
; Side effects: none.
; Restrictions: 1-d only.
; Procedure: easy.
; Modification history: Ray Sterner,  7 Dec, 1984.
;	Johns Hopkins University Applied Physics Laboratory.
;	Added FIX 20 Dec, 1984 to avoid roundoff error.
;       changed it to LONG 8 Mar, 1985 to avoid integer overflows.
;-

	FUNCTION MAKEX,XLO,XHI,XST	; start, end, step
	LIST = XLO+XST*FINDGEN(1+ LONG( (XHI-XLO)/XST) )
	RETURN, LIST
	END
