;+
; Name: SIGN.PRO
; Purpose: Return sign of argument.
; Category: Math.
; Calling sequence: S = SIGN(X)
; Inputs: X = input number.
; Outputs: S = arithmetic sign of X.
;   S = -1 if X < 0
;   S =  0 if X = 0
;   S =  1 if X > 0
; Side effects:
; Restrictions:
; Procedure:
; Modification history:  R. Sterner, 7 May, 1986.
;	Johns Hopkins University Applied Physics Laboratory.
;   Completely re-written by HUGHES/HIA/NRCC 22-DEC-1992 
;-

	FUNCTION SIGN, X0

   n=n_elements(x0)
   s=lonarr(n)
   x=x0
   w=where(x lt 0)
   if w(0) gt -1 then s(w)=-1
   w=where(x gt 0)
   if w(0) gt -1 then s(w)=1
   if n eq 1 then s=s(0)

   return,s
   end   
