;program to read fof2 data from files made up by plot frequency-time

!p.multi = [0,1,1]

plottype = 'ps'			;will be doing plot of fof2 and h'f
;plottype = 'win'
if plottype eq 'ps' then begin
  set_plot, 'ps'
  device, filename= 'c:\plotfiles(temp)\95janfof2.ps';,/portrait, ysize = 26, yoffset = 0
  device, /landscape, xsize = 22, ysize = 18
endif else set_plot = 'win'




plot,tarr,farr, /nodata, xrange = [0,24], yrange = [1,8], ystyle = 1, yminor = -1, xstyle = 1,$
    xtitle = 'UT', ytitle = 'fof2 MHz',title = 'Eureka 1995 jan 1-11, 16',charsize = 1.5
fnamearr = ['c:/cdata/950101eu.tf','c:/cdata/950102eu.tf','c:/cdata/950103eu.tf','c:/cdata/950104eu.tf','c:/cdata/950105eu.tf',$
            'c:/cdata/950106eu.tf','c:/cdata/950107eu.tf','c:/cdata/950108eu.tf','c:/cdata/950109eu.tf','c:/cdata/950110eu.tf',$
            'c:/cdata/950111eu.tf','c:/cdata/950116eu.tf']
sum19 = 0.0
count19 = 0
sum7 = 0.0
count7 = 0
for file = 0,11 do begin
 tarr = [0]
 farr = [0.0]
 t = 0L
 f = 0.0
 n = 0
 openr, 1,fnamearr(file)
 repeat begin
  readf,1, format = '(i8,f6.2)', t, f
  tarr =  [tarr,t]
  farr = [farr,f]
  n = n+1
  if (t gt 6*3600L) and (t lt 8*3600L) then begin
    sum7 = sum7 + f*f/80.5
    count7 = count7 + 1
    ; if count7 eq 200 then print, t,f
 endif
  if (t gt 18*3600L) and (t lt 20*3600L) then begin
    sum19 = sum19 + f*f/80.5
    count19 = count19 + 1
    ;if count19 eq 200 then print, t,f
  endif
 endrep until eof(1)
 close,1
 tarr = tarr(1:n-1)
 tarr = float(tarr)/3600.0
 farr = farr(1:n-1)

;need to locate gaps in data
 lstart = 0
 len = n_elements(tarr)
 for i = 0,len-2 do begin
  if (tarr(i+1) gt tarr(i) + 0.05) or (i eq len - 2) then begin
   ;print, lstart
   if i eq len-1 then i = i+ 1
   tarrp = tarr(lstart:i)
   farrp = farr(lstart:i)
   oplot,tarrp,farrp
   lstart = i+1
  endif
 endfor  ;for i
endfor  ;for file
Ne7avg = 1.0e12*sum7/count7
f7avg = sqrt(Ne7avg*80.5/1.0e12)
print, 'count7 = ',count7,' sum7 = ',sum7,' Ne avg at 07 = ',Ne7avg,' el/m^3  => ',f7avg,' MHz'
oplot, [6,8],[f7avg,f7avg],thick = 5
Ne19avg = 1.0e12*sum19/count19
f19avg = sqrt(Ne19avg*80.5/1.0e12)
oplot,[18,20],[f19avg,f19avg],thick = 5
print, 'count19 = ',count19,' sum19 = ',sum19,' Ne avg at 19 = ',Ne19avg,' el/m^3 => ',f19avg,' MHz'


if plottype eq 'ps' then device, /close
set_plot, 'win'



print, 'done'
end