;+
; NAME:
;	CANMIDNIGHT
; PURPOSE:
;	CANOPUS time of preceding midnight.
;	Returns CANOPUS time of midnight at start of day of given CANOPUS time.
; CALLING SEQUENCE:
;	Result = CANMIDNIGHT(CAN_TIME)
; INPUTS:
;	CAN_TIME = Scalar CANOPUS time.
; OUTPUTS:
;	Result = Long integer CANOPUS time of midnight.
; PROCEDURE:
;	Calls CIVIL_TIME to get year, month, date. Then calls CANOPUS_TIME.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 9 May 1990, IDL1
;	IFG, 29 April 1990: No changes needed for IDL2.
;	IFG,  8 Nov 1991: Renamed from CAN_MIDNIGHT to CANMIDNIGHT.
;	IFG, 24 Jul 1992: Added ON_ERROR.
;-

function canmidnight, can_time

on_error, 2
civil_time,year,month,date,day,hour,minute,second,can_time
canopus_time, year,month,date,0,0,0,canmidnight,ct_error
return, canmidnight
end
