;+
; NAME:
;	FLOOR
; PURPOSE:
;	Give floor of result: an integer less than or equal to argument.
; CATEGORY:
;	Math.
; CALLING SEQUENCE:
;	Result = FLOOR(A)
; INPUTS:
;	A = value (scalar or array).
; OUTPUTS:
;	Result = floor of A = integer less than or equal to A.
; ROUTINES USED:
;	ISARRAY, ARRAY.
; MODIFICATION HISTORY:
;	R. Sterner.  13 May, 1986.
;	IFG, HIA/NRCC,  7 Feb 1991: No changes needed for IDL2.
;	IFG, 5 Jan 1993: Added ON_ERROR.
;-

	FUNCTION FLOOR, A

	ON_ERROR, 2
	FLAG = ISARRAY(A)
	A2 = ARRAY(A)

	B = LONG( A2)
	W = WHERE( B GT A2, WCOUNT)
	IF WCOUNT GT 0 THEN B(W) = B(W) - 1

	IF FLAG EQ 0 THEN B = B(0)

	RETURN, B

	END
