;+
; NAME:
;	IN
; PURPOSE:
;	Determine if an element belongs to a set.
; CALLING SEQUENCE:
;	Result = IN( ELEMENT, SET )
; INPUTS:
;	ELEMENT = Scalar.
;	SET = Array.
; OUTPUTS:
;	Result = Boolean byte. True if and only if at least one element of SET
;	   equals ELEMENT.
; PROCEDURE:
;	Calls WHERE with count parameter.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 12 Mar 1991. Converted to IDL2.
;	IFG, 23 Dec 1992: Added ON_ERROR.
;-

function in, element,set

on_error, 2
dummy = where(element eq set, wcount)
return, wcount ne 0
end
