;+
; NAME:
;	LANDSCAPE
; PURPOSE:
;	Ensure current X window is landscape style (default).
; CALLING SEQUENCE:
;	LANDSCAPE
; INPUTS:
;	None.
; SIDE EFFECTS:
;	Deletes current window if it is portrait.
; RESTRICTIONS:
;	Routine supports only X window as screen device (?).
; PROCEDURE:
;	Deletes current window if it is portrait.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, 16-Aug-1991: IDL2.
;	IFG, 23 Dec 1992: Added ON_ERROR.
;-
pro landscape

on_error, 2
if (!d.window ge 0) and (!d.x_size lt !d.y_size) then $
   case !d.name of
      'X':  wdelete   ; Delete old window. Next plot will create default window.
      else: dummy = 0    ;%% message, 'Routine supports only X window as screen device'
      endcase

return
end
