;+
; NAME:
;	PREGION
; PURPOSE:
;	Return Plot Region limits implied by !P.REGION.
; CALLING SEQUENCE:
;	Result = PREGION()
; INPUTS:
;	None.
; OUTPUTS:
;	Result: If !P.REGION is not set (detected by !P.REGION(0) EQ 
;	   !P.REGION(2)) then Result=[0.0, 0.0, 1.0, 1.0] else Result=!P.REGION.
; MODIFICATION HISTORY:
;	Ian Grant, UWO, 25 Mar 1993: Written in IDL2.
;-

function pregion

   on_error, 2
   if abs(!p.region(0) - !p.region(2)) gt 1e-6 then $
      region = !p.region $
   else $
      region = [0.0, 0.0, 1.0, 1.0]

return, region
end
