;+
; NAME:
;	ROUND
; PURPOSE:
;	Round to nearest long integer.
;	Rounds up or down to nearest integer, for argument of either sign.
; CALLING SEQUENCE:
;	Result = ROUND( X )
; INPUTS:
;	X = Numeric array or scalar. A scalar X can be referenced as X(0).
; OUTPUTS:
;	Result = Long integer with dimensions of X.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC,  1 Mar 1991: IDL2.
;	IFG, 23 Dec 1992: Added ON_ERROR.
;-

function round, x

on_error, 2
w = where(x lt 0.0, wcount)
if wcount gt 0 then x(w) = x(w)-1.0
return, long(x+0.5)

end
