;+
; NAME:
;	ROUNDDOWN
; PURPOSE:
;	*** Obsolete *** Round down to a multiple of a given value.
; CALLING SEQUENCE:
;	Result = ROUNDDOWN( X_IN [,F] )
; INPUTS:
;	X_IN = Integer or real scalar of any sign.
; OPTIONAL INPUT PARAMETERS:
;	F = Factor of which Result is to be a multiple. Default is integer 1.
; OUTPUTS:
;	Result = Scalar of same type as F, containing X_IN rounded down to a 
;	   multiple of F. Rounding is always in negative direction.
; RESTRICTIONS:
;	X_IN must be a scalar.
; PROCEDURE:
;	Divide X_IN by F, round down to a multiple of 1, multiply by F.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRC, 1990, IDL1.
;	IFG, 29 April 1991: No changes needed for IDL2.
;	IFG,  5 Jan 1993: Added ON_ERROR. Added FLOAT to X_IN/F.
;	GRANT, 22 Jul 1993: Replaced all FLOAT by DOUBLE and all FIX by LONG.
;	   Added CASE for INT, BYTE. Tested %%
;	GRANT, 17 Sep 1993: Added immediate 'Obsolete' error message.
;-

function rounddown, x_in,f

on_error, 2

message, 'Obsolete routine. Use IDL function FLOOR instead of ROUNDDOWN.'

if n_params(0) eq 1 then f=1
; Divide x by f, round down to a multiple of 1, return f times result
x = double(x_in) / double(f)
if x ge 0 then $
   y = long(x) $
else begin
   d = abs(long(x)) + 1    ; d is an integer larger than abs(x)
   y = long(x+d)-d
   endelse
case datatype(f) of	; Ensure Result has type of F
   'INT': y = fix(y)
   'BYT': y = byte(y)
   else:  dummy = 0
   endcase
return, f*y
end
