;+
; NAME:
;	STROF
; PURPOSE:
;	Returns a string of repeated characters.
; CALLING SEQUENCE:
;	Result = STROF( CHAR, N )
; INPUTS:
;	CHAR = string, usually of length 1. Only first character is used.
;	N = scalar integer. Number of times to repeat CHAR. Must be GE 0.
; OUTPUTS:
;	Result = Scalar string. Consists of first character of CHAR repeated N 
;	   times.
; MODIFICATION HISTORY:
;	Ian Grant, HIA/NRCC, August 1990.
;	IFG, 6 May 1991: IDL1? Looks like this will run under IDL2.
;	IFG, 5 Feb 1993: Added ON_ERROR.
;-

function strof, char,n

on_error, 2
byte_array = byte(char)
if n gt 0 then $
   return, string(replicate(byte_array(0),n)) $
else $
   return, ''
end
