;+
; NAME:
;	STRSUB
; PURPOSE:
;	Extract a substring by start and end positions.
; CATEGORY:
;	strings.
; CALLING SEQUENCE:
;	substring = STRSUB(string,p1,p2)
; INPUTS:
;	string = string to extract from.
;       p1, p2 = start and end positions to extract. First position is 0.
; OUTPUTS:
;	function result = extracted substring.
; RESTRICTIONS:
;	STRNG must be a scalar string.
; PROCEDURE:
;	Uses STRMID.
; MODIFICATION HISTORY:
;	RES,  JHU-APL,  6 Jan, 1985.
;	IFG, HIA/NRCC, 20 Feb 1991: No changes needed for IDL2.
;	IFG, 24 Dec 1992: Added ON_ERROR.
;-
	FUNCTION STRSUB,STRNG,P1,P2
	ON_ERROR, 2
	L1 = P1 > 0
	L2 = P2 < STRLEN(STRNG)
	RETURN, STRMID(STRNG,L1,L2-L1+1)
	END
