function yymmdd2candate, yymmdd

on_error, 0;2
if datatype(yymmdd) ne 'STR' then message, 'YYMMDD is not a string'
if strlen(yymmdd) ne 6 then message, 'YYMMDD has wrong length'
reads, yymmdd, y, m, d, format='(3i2)'
error = !false
if y lt 54 then y = y + 100 ;modify to correct y2k problems
ct = cantime(1900+y,m,d,0,0,0,error)
;stop
if error then message, 'Bad value of YYMMDD: '+yymmdd
return, ct
end



function candate2yymmdd, ct

civil_time, y, m, d, doy, h, min, s, ct
return, string(y mod 100,m,d,format='(3i2.2)')
end



pro summsite, ht_ext=ht_ext, ig_ext=ig_ext, hv_ext=hv_ext, drive=drive, $
              site_code2=site_code2, ht_freqx=ht_freqx, $
              hv_freqh=hv_freqh, hv_freqv=hv_freqv, $
              start_yymmdd=start_yymmdd, end_yymmdd=end_yymmdd, $
              vertscale=vertscale, horzscale=horzscale, panels = panels, $
              data_subdir = data_subdir, ps = ps, jpeg = jpeg, spawnprocess = spawnprocess, $
              heightrange = heightrange

; e.g.:
; SUMMSITE, HT='MD1', IG=MD0', DRIVE='D', SITE='RL', $
;    START='940723', END='940807'
;
; HT_EXT, IG_EXT, DRIVE default as above.
; SITE_CODE2, START_YYMMDD, END_YYMMDD are mandatory.
;
; Suppress a class of summary plot with e.g. HT_EXT='' or IG_EXT='' or HV_EXT=''.
; Modification history
;  JMacD, UWO, April 9, 1995
;      changed printer in hardcopy to PLC, & directory for plots
;  JMacD, UWO, April 10, 1995
;      added alternative of doing 'HV' plots (h't and velocity)
;      also goto skip if nofile found in the directory for a day
;  JMacD, UWO Sept8, 1995
;      added panels to switch between XY and mag&dir output
;  JMacD, UWO April 4, 1996
;		added code to check if all files are empty
;  JMacD, UWO Aug 19, 1997
;		modified code so that can do ionograms only
;  JMacD, UWO July 4, 2000
;	modified so can have a subdirectory for data: note name should end in / eg 'fort/'
;  JMacD, UWO Aug 17, 2000
;   modified so can spawn a printout process (keyword 'spawnprocess' added)
;  JWM, 14 May 2003: added jpeg option

if n_elements(ht_ext) eq 0 then ht_ext='MD1'
if n_elements(hv_ext) eq 0 then hv_ext='MD1'
if n_elements(ig_ext) eq 0 then ig_ext='MD2'
if not keyword_set(drive) then drive='D
if not keyword_set(site_code2) then $
   message, 'Must enter SITE_CODE2'
if not keyword_set(ht_freqx) then ht_freqx = 0
if not keyword_set(hv_freqh) then hv_freqh = 0
if not keyword_set(hv_freqv) then hv_freqv = 0

help, ht_ext, ig_ext, hv_ext, drive, site_code2, $
   start_yymmdd, end_yymmdd ;%%
plot_dir = 'c:\plotfiles(temp)\'


start_candate = yymmdd2candate(start_yymmdd)
end_candate   = yymmdd2candate(  end_yymmdd)
one_day = 24L*3600L    ; Seconds in one day
for candate=start_candate,end_candate,one_day do begin
   can_time = [candate,candate+one_day]
   yymmdd = candate2yymmdd(candate)
   data_dir = yymmdd + site_code2
   data_dir_full = drive + ':\' + data_subdir + data_dir + '\'
;print, 'data_dir =',data_dir_full
   ; check if data for the day
  if keyword_set(hv_ext) then begin
     data_dir_full_ext = data_dir_full + '*.' + hv_ext
   if hv_ext eq "md3" then ht_limit = 1020 else ht_limit = 510
  endif $
 else if keyword_set(ht_ext) then $
     data_dir_full_ext = data_dir_full + '*.' + ht_ext $
  else goto, skiphvht
   if hv_ext eq "md3" then ht_limit = 1020 else ht_limit = 510
;stop
   result = findfile(data_dir_full_ext, count = count)
   if count eq 0 then goto, skiphvht
;print, 'at #1'
   done = 0
while not done do begin
 openr,1, result(0)
 res = fstat(1)
 close,1
 if res.size eq 0 then begin
  count = count -1
  if count eq 0 then goto, skip
  result = result(1:*)
 endif else done = 1
endwhile

   print, 'Processing ' + data_dir + ' ...'
;print, 'at #2'
;%% print, data_dir_full ;%%
;%% print, '   ' + plot_dir + data_dir + '.PSH' ;%%

;%% goto, skip ;%%
   ; Generate HT_SUMM plot

   a = get_kbrd(0)
    if a ne '' then begin
     print, 'stop or continue?'
  ;   stop
    endif
  print, 'press any key to stop at end of this days analysis'

if keyword_set(ht_ext) then begin
      if ht_freqx eq 10 then begin
         if keyword_set(ps) then prohardcopy, /ps, filename=plot_dir + data_dir + '.psn ' else $
             prohardcopy, /pcn, filename=plot_dir + data_dir + '.PCN'
         cadi_htsumm, dir=data_dir_full, ext=ht_ext, freqx=ht_freqx, subplot_nhours = 24
         ;res_ht = cadi_read_dir(dir=dir, ext='md1', timerange=tr, /tfh, /inf)            ; Read h't info (no Doppler), all freqs
         ;cadi_htv, res_ht, timer=tr, panel='ff', freq=[0,1], /inf                     ; Plot h't for three freqs: 3, 4, 5 MHz
      endif else begin
         if keyword_set(ps) then prohardcopy, /ps, filename=plot_dir + data_dir + '.PSH' else $
         if keyword_set(jpeg) then prohardcopy, /jpeg, filename=plot_dir + data_dir + '.JPEG' else $
          prohardcopy, /pcl, filename=plot_dir + data_dir + '.PCH'
         cadi_htsumm, dir=data_dir_full, ext=ht_ext, freqx=ht_freqx
      endelse

      prohardcopy
  endif ; ht_ext

   ; Generate HV_SUMM plot
  if keyword_set(hv_ext) then begin

 ;routines to write a jpeg image
  if keyword_set(jpeg) then begin
   set_plot, 'z'
   cadi_hvsumm, dir=data_dir_full, ext=hv_ext, freqh=hv_freqh, freqv=hv_freqv, $
      verscale = vertscale, horscale = horzscale, subplot_nhours = 24, panelselect = panels
   arr = tvrd()
   arri = abs(arr - 255)
   write_jpeg,plot_dir + data_dir + ".gif",arri,quality = 75
   print, "jpeg file written"
   goto, skiphvht
  endif

    if hv_freqh(0) eq 0 then $
      if keyword_set(ps)then prohardcopy, /ps, filename=plot_dir + data_dir + '.PS0' else $
      ;if keyword_set(jpeg)then prohardcopy, /jpeg, filename=plot_dir + data_dir + '.JPG' else $
      prohardcopy, /pcl, filename=plot_dir + data_dir + '.PC0'
    if hv_freqh(0) eq 1 then $
      if keyword_set(ps)then prohardcopy, /ps, filename=plot_dir + data_dir + '.PS1' else $
      ;if keyword_set(jpeg)then prohardcopy, /jpeg, filename=plot_dir + data_dir + '.JPG' else $
      prohardcopy, /pcl, filename=plot_dir + data_dir + '.PC1'
    if hv_freqh(0) eq 2 then $
      if keyword_set(ps)then prohardcopy, /ps, filename=plot_dir + data_dir + '.PS2' else $
      ;if keyword_set(jpeg)then prohardcopy, /jpeg, filename=plot_dir + data_dir + '.JPG' else $
      prohardcopy, /pcl, filename=plot_dir + data_dir + '.PC2'
    if hv_freqh(0) eq 3 then $
      if keyword_set(ps)then prohardcopy, /ps, filename=plot_dir + data_dir + '.PS3' else $
      ;if keyword_set(jpeg)then prohardcopy, /jpeg, filename=plot_dir + data_dir + '.JPG' else $
     prohardcopy, /pcl, filename=plot_dir + data_dir + '.PC3'
    if hv_freqh(0) eq 4 then $
      if keyword_set(ps)then prohardcopy, /ps, filename=plot_dir + data_dir + '.PS4' else $
      ;if keyword_set(jpeg)then prohardcopy, /jpeg, filename=plot_dir + data_dir + '.JPG' else $
     prohardcopy, /pcl, filename=plot_dir + data_dir + '.PC4'
print, 'summsite panels = ',panels
   ;help, /mem
 cadi_hvsumm, dir=data_dir_full, ext=hv_ext, freqh=hv_freqh, freqv=hv_freqv, $
            verscale = vertscale, horscale = horzscale, subplot_nhours = 24, panelselect = panels


      prohardcopy
      endif

   ; Generate IG_SUMM plot
skiphvht:
  if keyword_set(ig_ext) then begin
     data_dir_full_ext = data_dir_full + '*.' + ig_ext
   result = findfile(data_dir_full_ext, count = count)
   if count eq 0 then goto, skip
   if ig_ext eq "md4" then ht_limit = 1020 else ht_limit = 510
   ;stop

;routines to write a jpeg image
  if keyword_set(jpeg) then begin
   set_plot, 'z'
   cadi_igsumm, dir=data_dir_full, ext=ig_ext
   arr = tvrd()
   arri = abs(arr - 255)
   write_jpeg,plot_dir + data_dir + ".gif",arri,quality = 100
   print, "jpeg file written"
   goto, skip
  endif



if keyword_set(ps) then prohardcopy, /ps, filename=plot_dir + data_dir + '.PSI' else $
;if keyword_set(jpeg)then prohardcopy, /jpeg, filename=plot_dir + data_dir + '.JPG' else $
     prohardcopy, /pcl, filename=plot_dir + data_dir + '.PCI'

cadi_igwsumm, dir=data_dir_full, datestr=datestr_in, ext=ig_ext, $
   inform=inform, error=error, thour = thour, heightrange = heightrange,$
    eldensityrange = eldensityrange, noofpanels = 2, noofcolumns = 12, $
    noofrows = 4, cantimein = can_time, colour = colour



     ; cadi_igsumm, dir=data_dir_full, ext=ig_ext, heightrange = heightrange
    ;  arr = tvrd()
    ;  write_jpeg,"a:htplot.jpg",arr
      prohardcopy
      endif ; ig_summ

skip: ;%%

if keyword_set(spawnprocess) then begin
   spawn, 'copy c:\plotfiles(temp)\*.pc*/b, lpt1'
   spawn, 'del c:\plotfiles(temp)\*.pc*'
endif

   endfor ; candate

return
end

